Retrieve TOTP configuration

Retrieves the Time-based One Time Password (TOTP) configuration for a specific Tenant.

GET
/v2/manage/2fa/totp-authenticator-settings

Retrieves the Time-based One Time Password (TOTP) configuration for a specific Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/v2/manage/2fa/totp-authenticator-settings"
{
  "IsEnabled": true,
  "QRCodeWidth": 1,
  "IssuerId": "string",
  "AccountSecretKey": "string"
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "ErrorCode": 7952,
  "Message": "Google Authenticator settings not found or does not exist",
  "Description": "There is no google authenticator settings/configuration available."
}